#!/bin/bash

FILE1=Testdata/septembc.mo3
echo "Auto tests on $FILE1"
echo -n "Extracting and comparing header (unpack algo)..."
./unmo3 -h sept_h.dat $FILE1 >/dev/null
if [ `diff sept_h.dat Testdata/sept_header.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sept_h.dat

echo -n "Extracting and comparing sample #6 (unpack LLDP16 algo)..."
./unmo3 -s 6 $FILE1 >/dev/null
if [ `diff sample006.dat Testdata/sept_s06_lldp16.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sample006.dat

echo -n "Extracting and comparing sample #8 (unpack LLD8 algo)..."
./unmo3 -s 8 $FILE1 >/dev/null
if [ `diff sample008.dat Testdata/sept_s08_lld8.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sample008.dat

echo -n "Extracting and comparing sample #3 (unpack LLDP8 algo)..."
./unmo3 -s 3 $FILE1 >/dev/null
if [ `diff sample003.dat Testdata/sept_s03_lldp8.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sample003.dat

FILE1=Testdata/6500-ast.mo3
echo
echo "Auto tests on $FILE1"
echo -n "Extracting and comparing header (unpack algo)..." 
./unmo3 -h 6500_h.dat $FILE1 >/dev/null
if [ `diff 6500_h.dat Testdata/6500_header.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f 6500_h.dat

echo -n "Extracting and comparing sample #30 (unpack LLD16 algo)..."
./unmo3 -s 30 $FILE1 >/dev/null
if [ `diff sample030.dat Testdata/6500_s30_lld16.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sample030.dat

echo -n "Extracting and comparing sample #45 (unpack LLD16 algo)..."
./unmo3 -s 45 $FILE1 >/dev/null
if [ `diff sample045.dat Testdata/6500_s45_lld16.dat`==0 ]; then
  echo OK
else
  echo ERROR
fi
rm -f sample045.dat

FILE1=Testdata/ctg_mp3.mo3
echo
echo "Auto tests on $FILE1"
echo -n "Extracting and testing file size of sample #7 (mp3)..."
./unmo3 -s 7 $FILE1 >/dev/null
if [ `stat -c%s sample007.mp3`==11088 ]; then
  echo OK
else
  echo ERROR
fi
#rm -f sample007.mp3

FILE1=Testdata/dannyelf_ogg.mo3
echo
echo "Auto tests on $FILE1"
echo -n "Extracting and testing file size of sample #16 (ogg)..."
./unmo3 -s 16 $FILE1 >/dev/null
if [ `stat -c%s sample016.ogg`==18133 ]; then
  echo OK
else
  echo ERROR
fi
#rm -f sample016.ogg
